Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class NationalityInfoWithSourceType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoBaseType
          be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoWithSourceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:53:32+02:00",
               comments="JAXB RI v2.3.6")
    public class NationalityInfoWithSourceType

extends NationalityInfoBaseType
implements Serializable

Java class for NationalityInfoWithSourceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalityInfoWithSourceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityInfoBaseType">
           <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NationalityInfoWithSourceType()`

Method Summary
`String` | `getSource()` Gets the value of the source property.
`void` | `setSource(String value)` Sets the value of the source property.

Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoBaseType
`getInceptionDate, getNationalityCode, getNationalityDescriptions, setInceptionDate, setNationalityCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NationalityInfoWithSourceType

    public NationalityInfoWithSourceType()

Method Detail

### getSource

    public String getSource()

  Gets the value of the source property.

  Returns:
    possible object is `String`

### setSource

    public void setSource(String value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.